Subject: Re: bug#61192: Emacs 28.1: Bash Shell Script Indenting does not recognize if, [....]; then

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Jan 2023 15:53:09 +0200

> Date: Mon, 30 Jan 2023 14:14:32 -0800
> From: Stephen Montsaroff <[email-masked]>
> 
> Since upgrade to Emacs 28.1, I have noted an annoy change in
> shell-script mode auto-formatting.
> 
> I would like to recover the old behavior
> 
> Before, if I entered
> 
> if [ "$x" = "" ];then
>     export x=$y
> fi
> 
> and then enter new line, the new line would align with the fi
> 
> if [ "$x" = "" ];then
>     export x=$y
> fi
> cp fred ethel
> 
> Now it I do the same thing I get the new line indented
> 
> if [ "$x" = "" ];then
>     export x=$y
> fi
>     cp fred ethel
> 
> The matching code also does not recognize that the
> fi is connected to the then statement.

I can reproduce this in Emacs 28.1, but not in Emacs 28.2 and later.
So I think we already fixed this bug; please upgrade.

I'm therefore closing this bug.